const baseUrl = "boronto/api/onto";

export default {
  schema: {
    list: "schema",
  },

  ontologies: {
    show: `${baseUrl}/iri/`,
    create: `${baseUrl}/`,
    update: "",
    delete: "",
    read: "",
    import: `${baseUrl}/import/`,
    fileList: "/file/permit/borhan/list/serviceid",
  },
  imports: {
    show: "",
    create: `${baseUrl}/import/`,
    update: `${baseUrl}/import/`,
    delete: `${baseUrl}/import/`,
    read: `${baseUrl}/import/`,
  },
  annotations: {
    show: `${baseUrl}/annotation/`,
    read: `${baseUrl}/annotation/`,
    create: `${baseUrl}/annotation/`,
    delete: `${baseUrl}/annotation/`,
  },
  metrics: {
    read: `${baseUrl}/metric/`,
  },
  prefixes: {
    read: `${baseUrl}/prefix/all/`,
  },
  iri: {
    read: `${baseUrl}/iri/`,
    update: `${baseUrl}/iri/`,
  },
  // همون مهفوم یا convept
  class: {
    sub: `${baseUrl}/class/sub/`,
    equ: `${baseUrl}/class/equ/`,
    read: `${baseUrl}/class/`,
    add: `${baseUrl}/class/{{key}}/`,
    removeAnnotation: `${baseUrl}/class/annotation/delete/`,

    remove: `${baseUrl}/class/{{key}}/delete/`,
    removetree: `${baseUrl}/class/delete/`,
    autoComplate: `${baseUrl}/class/auto_complate/`,
    update: `${baseUrl}/class/`,
    annotations: {
      read: `${baseUrl}/class/all/`,
    },
  },
  property: {
    removetree: `${baseUrl}/{{key}}/delete/`,
    sub: `${baseUrl}/{{property}}/sub/`,
    read: `${baseUrl}/all_property/`,
    readitem: `${baseUrl}/{{key}}/`,
    update: `${baseUrl}/property/`,
    add: `${baseUrl}/property/{{key}}/`,
    select: `${baseUrl}/property/type/`,
    get_tree: `${baseUrl}/{{property}}/all/`,
    annotations: {
      read: `${baseUrl}/property/all/`,
      read_all: `${baseUrl}/{{property}}/all/`,

    },
  },
  individual: {
    removetree: `${baseUrl}/individual/delete/`,
    read: `${baseUrl}/all_individual/`,
    add: `${baseUrl}/individual/{{key}}/`,
    addlist: `${baseUrl}/individual/`,
    select: `${baseUrl}/property/type/`,
    update: `${baseUrl}/individual/`,
    autoComplate: `${baseUrl}/individual/auto_complate/`,
    remove: `${baseUrl}/individual/{{key}}/delete/`,
    removList: `${baseUrl}/individual/delete/`,
    removeAnnotation: `${baseUrl}/individual/annotation/delete/`,
    annotations: {
      read: `${baseUrl}/individual/all/`,
    },
  },
};
